Imports Bytescout.PDFRenderer

Class Program
    Friend Shared Sub Main(args As String())

        ' Create an instance of Bytescout.PDFRenderer.RasterRenderer object and register it.
        Dim renderer As New RasterRenderer()
        renderer.RegistrationName = "demo"
        renderer.RegistrationKey = "demo"

        ' Load PDF document.
        renderer.LoadDocumentFromFile("multipage.pdf")

        ' Specify Rendering Options
        Dim RenderingOptions As New RenderingOptions()
        RenderingOptions.ResolutionOverride = 300

        For i As Integer = 0 To renderer.GetPageCount() - 1
            ' Render document page to 800x600 PNG image file.
            renderer.Save("image" & i & ".png", RasterImageFormat.PNG, i, 600, 800, RenderingOptions)
        Next

        ' Cleanup
        renderer.Dispose()

        ' Open the first output file in default image viewer.
        System.Diagnostics.Process.Start("image0.png")
    End Sub
End Class
